﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using vbComparable;

namespace vbComparer
{
    class Program
    {
        static void Main(string[] args)
        {
            Student[] studentTabel = new Student[10];
            // initialisatie
            for (int i = 0; i < studentTabel.Length; i++)
            {
                studentTabel[i] = new Student("student"+(studentTabel.Length - i) % 6, i );
            }
            Console.WriteLine("===Studenten voor sortering");
            foreach (Student s in studentTabel)
            {
                Console.WriteLine(s);
            }
            Array.Sort(studentTabel,SorteerOpNaam);
            Console.WriteLine("===studenten na sortering");
            foreach (Student s in studentTabel)
            {
                Console.WriteLine(s);
            }
        }
        static int SorteerOpNaam(Student s1, Student s2)
        {
            int resultaat = s1.Naam.CompareTo(s2.Naam);
            if (resultaat == 0)
            {
                if (s1.Leerjaar < s2.Leerjaar) resultaat = -1;
                else if (s1.Leerjaar > s2.Leerjaar) resultaat = 1;
            }
            return resultaat;
        }
    }
}
