/* 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */
using System;

namespace ExceptiesThrow
{
	/// <summary>
	/// Voorbeeld Throw: de methode NaamVanDag heeft als
	/// parameter een integer en geeft een dag terug. 
	/// Indien men een integer hoger dan 6 ingeeft, dan
	/// wordt er een exceptie geworpen, die in de 
	/// aanroepende methode wordt verwerkt.
	/// </summary>
	class Class1
	{
		static void Main(string[] args)
		{
			try
			{
				string vandaag = NaamVanDag(21);
			}
			catch(ArgumentOutOfRangeException e)
			{
				Console.WriteLine("fout : " + e.Message);
			}
			Console.WriteLine("Na het catch gedeelte");
		
		}
		static string NaamVanDag(int dag)
		{
			switch(dag)
			{
				case 0: return "zondag";
				case 1: return "maandag";
				case 2: return "dinsdag";
				case 3: return "woensdag";
				case 4: return "donderdag";
				case 5: return "vrijdag";
				case 6: return "zaterdag";
				default: throw new ArgumentOutOfRangeException("slechte dag");
			}
		}
	}

}
