/*
 * Voorbeeld van een abstracte klasse  (syll. p. 34-35)
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */
using System;

namespace vbabstract
{
    public abstract class Persoon
    {
        private String naam;
        public Persoon(string naam)
        {
            this.naam = naam;
        }
        abstract public string GeefNaam();
        protected String Naam
        {
            get { return naam; }
            set { naam = value; }
        }
    }
    public class Werknemer : Persoon
    {
        public Werknemer(String naam)
            : base(naam)
        {
        }
        public override string GeefNaam()
        {
            return String.Format("Werknemer: {0}",Naam);
        }
    }
}
