﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace vbevent
{
    public partial class Form1 : Form
        // klasse die events opvangt/afhandelt
    {
        BankRekening rekening = new BankRekening();

        public Form1()
        {
            InitializeComponent();
            bindingSource1.DataSource = rekening;

            // definiëren welke methode uitgevoerd moet worden als
            // het event afgevuurd wordt (eventhandler)
            rekening.Negatief += rekening_OnNegatief;
            rekening.Positief += rekening_OnPositief;
        }

        void rekening_OnPositief()
        {
            lblSaldo.BackColor=Color.LightGray;
        }

        void rekening_OnNegatief()
        {
            lblSaldo.BackColor=Color.Red;
        }

        private void btnStorten_Click(object sender, EventArgs e)
        {
            decimal bedrag = Convert.ToDecimal(txtBedrag.Text);
            rekening.Storten(bedrag);
            bindingSource1.ResetBindings(false);
        }

        private void btnAfhalen_Click(object sender, EventArgs e)
        {
            decimal bedrag = Convert.ToDecimal(txtBedrag.Text);
            rekening.Afhalen(bedrag);
            bindingSource1.ResetBindings(false);
        }

    }
}
