using System;
using System.Collections.Generic;
using System.Text;

namespace vboperatoroverload01
{
    class Program
    {
        static void Main(string[] args)
        {
            DateTime datum1 = new DateTime(2009, 4, 1);
            DateTime datum2 = new DateTime(2009, 1, 1);
            if (datum1 > datum2)
            {
                Console.WriteLine("{0:d} komt na {1:d}", datum1, datum2);
            }
            TimeSpan ts = datum1 - datum2;
            Console.WriteLine("Er liggen {0} dagen tussen {1:d} en {2:d}", ts.Days, datum1, datum2);
            // er is geen operator overload voor de '+' operator tussen datum en integer
            //DateTime datum3 = datum1 + 20;
            TimeSpan twintigDagen = new TimeSpan(20,0,0,0);
            DateTime datum3 = datum1 + twintigDagen;
            Console.WriteLine("20 dagen na {0:d} is het {1:d}", datum1, datum3);
        }
    }
}
