/*
 * 
 *  Dit voorbeeld mag alleen gebruikt worden in de opleidingen van Beta VZW 
 * (C) Beta VZW, 2009
 */

using System;
using System.Collections.Generic;
using System.Text;

namespace vbstatic
{
    public class Persoon
    {
        //
        // static (klasse) variabele
        //
        
        private static int aantalPersonen;

        //
        // static constructor
        //
        
        static Persoon()
        {
            Console.WriteLine("De static constructor wordt opgeroepen voordat een object van de klasse Persoon wordt gebruikt");
        }

        //
        // static (klasse) methode
        //

        public static int AantalPersonen
        {
            get { return aantalPersonen; }
        }
        //
        // instantie (object) variabele
        //
        private string naam;
        //
        // instantie (object) property
        //
        public string Naam
        {
            get { return naam; }
        }
        private readonly DateTime geboorteDatum;

        public DateTime GeboorteDatum
        {
            get { return geboorteDatum; }
            // een readonly variabele mag alleen een waarde krijgen in
            // een constructor of bij de declaratie
            //set { geboorteDatum = value; }
        }
        //
        // instantie constructor
        //
        public Persoon(String naam, DateTime geboorteDatum)
        {
            //static member variabele aanspreken vanuit een gewone functie
            aantalPersonen++;
            this.naam = naam;
            this.geboorteDatum = geboorteDatum;
        }

    }
}
