﻿/* data parallelisme: parallele for */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;

namespace NewInDotNet4
{
    class ParallelFor
    {
        private static Random random = new Random();

        static void Main(string[] args)
        {
            int[] scores = new int[100000000];
            Console.WriteLine("Executing sequential loop...");
            Stopwatch stopwatch = new Stopwatch();
            stopwatch.Start();
            VulTabelSequentieel(scores);
            stopwatch.Stop();
            Console.WriteLine("Sequential loop time in milliseconds: {0}", stopwatch.ElapsedMilliseconds);
          //  ToonTabel(scores);

            stopwatch.Reset();
            Console.WriteLine("Executing parallel loop...");
            stopwatch.Start();
            VulTabelParallel(scores);
            stopwatch.Stop();
            Console.WriteLine("Parallel loop time in milliseconds: {0}", stopwatch.ElapsedMilliseconds);
//            ToonTabel(scores);
        }

        private static void VulTabelParallel(int[] scores)
        {
            Parallel.For(0, scores.Length, i => { 
                //scores[i] = random.Next(11); 
                //scores[i] = i + 1;
                scores[i] = 1;
            });
        }

        private static void ToonTabel(int[] scores)
        {
            foreach (int getal in scores)
            {
                Console.Write("{0}\t",getal);
            }
        }

        private static void VulTabelSequentieel(int[] scores)
        {
            for (int i = 0; i < scores.Length; i++)
            {
                //scores[i] = random.Next(11);
                //scores[i] = i;
                scores[i] = 2;
            }
        }
    }
}
