/*
 * Voorbeeld File, Directory, enz
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;  // for Directory, File, DirectoryInfo, etc

namespace UsingFileDirectoryEtc
{
    class Program
    {
        static void Main(string[] args)
        {
            string huidigeDir = Directory.GetCurrentDirectory();
            Console.WriteLine("huidige directory: {0}", huidigeDir);

            string dirNaam = @"c:\temp";
            if (Directory.Exists(dirNaam))
                Console.WriteLine("directory {0} bestaat", dirNaam);
            else
                Console.WriteLine("directory {0} bestaat niet", dirNaam);

            DirectoryInfo dirInfo = new DirectoryInfo(huidigeDir);
            string pad = dirInfo.FullName;
            Console.WriteLine("pad: {0}", pad);

            DirectoryInfo parentDir = dirInfo.Parent;
            DirectoryInfo[] dirArray = parentDir.GetDirectories();
            Console.WriteLine("overzicht van subdirectories van {0}:", parentDir.Name);
            foreach (DirectoryInfo di in dirArray)
                Console.WriteLine(di.Name);

            FileInfo[] fileArray = parentDir.GetFiles();
            Console.WriteLine("overzicht van files in {0}:", parentDir.Name);
            foreach (FileInfo fi in fileArray)
                Console.WriteLine(fi.Name);
        }
    }
}
