﻿/*
 * Voorbeeld van ISet
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2011
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace sets
{
    class Program
    {
        static void Main(string[] args)
        {
            //ISet<Student> studenten = new HashSet<Student>();
            ISet<Student> studenten = new SortedSet<Student>();
            // initialisatie
            studenten.Add(new Student("Joske", 3));
            studenten.Add(new Student("Joske", 3)); // deze Student zal niet toegevoegd worden
            for (int i = 1; i <= 10; i++)
            {
                studenten.Add( new Student("student" + i, (10 - i) % 6));
            }


            // HashSet => elementen worden getoond in volgorde van toevoeging
            // SortedSet => elementen worden getoond zoals CompareTo bepaald
            foreach (Student s in studenten)
            {
                Console.WriteLine(s);
            }
            
        }

        
    }

}
