/* 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */

using System;

namespace Excepties
{
	/// <summary>
	/// Voorbeeld Excepties: Dit voorbeeld illustreert het 
	/// opvangen van een eenvoudige exceptie bij een deling
	/// door nul
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		static void Main(string[] args)
		{
			int noemer, deler;
			try
			{
				Console.Write("Geef de noemer: ");
				noemer = Int32.Parse(Console.ReadLine());
				Console.Write("Geef de deler: ");
				deler = Int32.Parse(Console.ReadLine());
				int deling = noemer/deler;
				Console.WriteLine("Na de deling");
			}
			catch (DivideByZeroException)
			{
				Console.WriteLine("U mag niet delen door nul");
			}
			catch(FormatException)
			{
				Console.WriteLine("U mag enkel integers invoeren");
			}
			catch(Exception e)
			{
				Console.WriteLine("Volgende fout is opgetreden: " + e.Message);
			}
			finally
			{
				Console.WriteLine("Deze code wordt steeds uitgevoerd");
			}
			Console.WriteLine("Na de catch");
		}
	}
}
