﻿/*
 * Voorbeeld van een extension method (syll. p. 22-23)
 * 
 * (extension methods bieden de mogelijkheid om de functionaliteit van een klasse
 *  uit te breiden zonder de klassedefinitie te wijzigen)
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */
using System;

namespace vbExtensionMethod
{
    // definitie extension methods
    static class MijnExtensionMethods
    {
        public static String BeginMetHoofdLetter(this String s)
        {
            return s.Substring(0,1).ToUpper() + s.Substring(1,s.Length-1);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            String naam = "cevora";

            // gebruik van een extension method 
            // -> het lijkt alsof de extension method een methode van de klasse String is
            Console.WriteLine( naam.BeginMetHoofdLetter() );
        }
    }
}
