/*
 * Werken met generic types (syll. p. 44)
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */

using System;
using System.Collections; // for ArrayList
using System.Collections.Generic; // for List

namespace Generics
{
    public class Persoon
    {
    }

    public class Lesgever : Persoon
    {
    }

    public class Student : Persoon
    {
    }

    public class LaatstejaarsStudent : Student
    {
    }

    class Program
    {
        static void Main(string[] args)
        {
            // vr C# 2.0:
            ArrayList lijst = new ArrayList();
            lijst.Add("hallo");
            Int16 getal = 5;
            lijst.Add(getal);
            foreach (Object o in lijst)
            {
                Console.Out.WriteLine(o);
            }

            // sinds C# 2.0, met generics:
            List<Int16> lijst2 =
                    new List<Int16>();

            //lijst2.Add("hallo");  // niet toegelaten (compileerfout)
            lijst2.Add(getal);
            foreach (Int16 i in lijst2)
            {
                Console.Out.WriteLine(i);
            }

            List<Persoon> persoonLijst =
                    new List<Persoon>();
            persoonLijst.Add(new Lesgever());
            persoonLijst.Add(new Student());
            foreach (Persoon p in persoonLijst)
            {
                Console.Out.WriteLine(p);
            }
        }
           
    }
}
