/*
 * Definitie van een generic types (syll. p. 45)
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */

using System;

namespace Generics
{
    // generic class Val
    // we gebruiken type parameter T, alhoewel
    // we nu nog niet weten door welk type T later 
    // vervangen gaat worden
    public class Val<T> 
    {
        private T gevangene;
        
        public void Vang(T slachtoffer){
            gevangene = slachtoffer;
        }
        
        public T Bevrijd(){
            T tmp = gevangene;
            gevangene = default(T); 
            // default(T) = null als T een ref type is, standaard waarde van T als T een val. type is        
            return tmp;
        }
    }

}
