/*
 * Voorbeeld struct
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */

using System;

namespace Structs
{
	class Program
	{
		static void Main(string[] args)
		{
            // een struct wordt gebruikt zoals een klasse
			Tijd aTijd = new Tijd();
			
			aTijd.Sec = 5;
			aTijd.Min = 25;
			aTijd.Uur = 2;
			Console.WriteLine(aTijd.GeefTijd());
		}
	}

    // definitie van een struct
    // (een struct is een value type)
    // (richtlijn: struct gebruiken indien fields niet meer dan 16 bytes in beslag nemen)
	struct Tijd
	{
		private int sec;
		private int min;
		private int uur;
		public string GeefTijd()
		{
			return String.Format("{0:D2}:{1:D2}:{2:D2}", uur,min, sec);
		}
		public int Sec
		{
			get{return sec;}
			set{sec = value >= 0? value: sec;}
		}
		public int Min
		{
			get{return min;}
			set{min = value >= 0 ? value : min;}
		}
		public int Uur
		{
			get{return uur;}
			set{uur = value >= 0 ? value: uur;}
		}
	}
}
