﻿/*
 * Voorbeeld van een BankRekening klasse met properties
 * Zie syllabus p 18-19
 * 
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace vbbank03
{
    public class BankRekening
    {
        private String naam;
        private decimal saldo;
        public String Naam
        {
            get { return naam.ToUpper(); }
            set { naam = value.Trim(); }
        }
        //De naam invullen via een functie:
        //
        public void ZetNaam(String naam)
        {
            this.naam = naam.Trim();
        }
        #region de property Saldo op de "klassieke" manier
        public decimal Saldo
        {
            get { return saldo; }
        }
        public void StortGeld(decimal saldo)
        {
            this.saldo = this.saldo + saldo;
        }
        public void HaalGeldAf(decimal saldo)
        {
            this.saldo = this.saldo - saldo;
        }
        #endregion
        #region een alternatief voor de property Saldo
        //public decimal Saldo { get; private set; }
        //public void StortGeld(decimal saldo)
        //{
        //    Saldo = Saldo + saldo;
        //}
        //public void HaalGeldAf(decimal saldo)
        //{
        //    Saldo = Saldo - saldo;
        //}
        #endregion
    }
}
