﻿using System;
using System.Collections.Generic;
using System.Text;

namespace vbenums
{
    enum Seizoenen { winter, lente, zomer, herfst};
    class Program
    {
        static void Main(string[] args)
        {
            //declaratie en initialisatie van een enum waarde
            Seizoenen s1 = Seizoenen.zomer;
            //omzetting naar string waarde
            String n1 = s1.ToString();
            Console.WriteLine(" De gemiddelde temperator in de {0} is {1:f2}.", n1, s1.GetGemiddeldeTemp());
            Console.Write("Geef seizoen: ");
            String n2 = Console.ReadLine();
            //omzetting van string naar enum;
            Seizoenen s2 = (Seizoenen)Enum.Parse(typeof(Seizoenen), n2, true);
            Console.WriteLine(" De gemiddelde temperator in de {0} is {1:f2}.", n2, s2.GetGemiddeldeTemp());
            Console.Write("Geef seizoensnummer: ");
            int nr = Convert.ToInt32(Console.ReadLine());
            //omzetting van int naar enum
            Seizoenen s3 = (Seizoenen)Enum.ToObject(typeof(Seizoenen), nr);
            //een alternatief voor .ToString
            String n3 = Enum.GetName(typeof(Seizoenen), s3);
            Console.WriteLine(" De gemiddelde temperator in de {0} is {1:f2}.", n3, s3.GetGemiddeldeTemp());

        }
    }
    //pas vanaf C# 3.5
    static class SeizoenExtensions
    {
        //statische methode die kan toegepast worden op een enum Seizoenen
        public static double GetGemiddeldeTemp(this Seizoenen seizoen)
        {
            switch (seizoen)
            {
                case Seizoenen.winter:
                    return -5.0;
                case Seizoenen.lente:
                    return 1.0;
                case Seizoenen.zomer:
                    return 13.5;
                case Seizoenen.herfst:
                    return 7.3;
            }
            return 0.0;
        }
    }
}
