/*
 * Voorbeeld van het gebruik van indexers
 * Zie syllabus p 23-25
 * 
 *  Dit voorbeeld mag alleen gebruikt worden in de opleidingen van Beta VZW 
 * (C) Beta VZW, 2009
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace vbindexer
{
    class Program
    {
        static void Main(string[] args)
        {
            Woordenboek wb = new Woordenboek();
            wb.VoegVerklaringToe("pc", "Personal Computer");
            wb.VoegVerklaringToe("cd", "Compact Disk");
            Console.WriteLine("{0} is de afkorting van {1}", "pc", wb.VraagVerklaring("pc"));
            // of met indexers
            wb["ROM"] = "Read Only Memory";
            wb["RAM"] = "Random Access Memory";
            Console.WriteLine("{0} is de afkorting van {1}", "cd", wb.VraagVerklaring("cd"));
            Console.WriteLine("{0} is de afkorting van {1}", "ROM", wb.VraagVerklaring("ROM"));
            Console.WriteLine("{0} is de afkorting van {1}", "RAM", wb.VraagVerklaring("RAM"));
        }
    }
}
