using System;
using System.Collections.Generic;
using System.Text;

namespace vbinherit02
{
    public class Persoon
    {
        private String naam;
        public Persoon():this("onbekend")
        {
        }
        public Persoon(String naam)
        {
            this.naam = naam;
        }
        public virtual string GeefNaam()
        {
            return String.Format("Persoon :{0}", naam);
        }
        protected String Naam
        {
            get { return naam; }
        }
    }
    public class Werknemer : Persoon
    {
        private decimal loon;
        public Werknemer(string naam, decimal loon)
            : base(naam)
        {
            this.loon = loon;
        }
        public override string GeefNaam()
        {
            return String.Format("Werknemer: {0}", Naam);
        }
        #region geen virtual overriding
        //public new string GeefNaam()
        //{
        //    return String.Format("Werknemer: {0}", Naam);
        //}
        #endregion
    }
}
