﻿using System;
using System.Collections.Generic;
using System.Text;

namespace vbinterface02
{
    class Program
    {
        static void Main(string[] args)
        {
            Persoon[] pLijst = new Persoon[5];
            pLijst[0] = new Persoon("Joske");
            pLijst[1] = new Werknemer("Pierre", 25);
            pLijst[2] = new Werknemer("Maria", 30);
            pLijst[3] = new Persoon("Frans");
            pLijst[4] = new Werknemer("Karel", 22);
            foreach (Persoon p in pLijst)
            {
                //controle of het object de interface implementeert
                if (p is ILeeftijd)
                {
                    ILeeftijd l = (ILeeftijd)p;
                    Console.WriteLine("Werknemer {0} is {1} jaar oud", p.Naam, l.Leeftijd);
                }
                #region een alternatief via keyword as
                //ILeeftijd l = p as ILeeftijd;
                //if (l != null)
                //{
                //    Console.WriteLine("Werknemer {0} is {1} jaar oud", p.Naam, l.Leeftijd);
                //}
                #endregion
            }

        }
    }
}
