﻿/*
 * Voorbeeld van de implementatie van een interface in een afgeleide klasse
 * Zie syllabus p. 39-41
 *
 * Dit bestand mag alleen gebruikt worden voor opleidingen die
 * georganiseerd worden door Beta VZW
 * (C) Beta VZW 2009
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace vbinterface02
{
    public class Persoon
    {
        private String naam;
        public Persoon(String naam)
        {
            this.naam = naam;
        }
        public String Naam
        {
            get { return naam; }
        }
    }
    interface ILeeftijd
    {
        int Leeftijd { get; set; }
        void Verjaar();
    }
    class Werknemer:Persoon,ILeeftijd
    {
        int leeftijd;
        public Werknemer(String naam, int leeftijd)
            : base(naam)
        {
            this.leeftijd = leeftijd;
        }
        #region ILeeftijd Members

        public int Leeftijd
        {
            get
            {
                return leeftijd;
            }
            set
            {
                leeftijd = value;
            }
        }

        public void Verjaar()
        {
            leeftijd++;
        }

        #endregion
    }
}
