using System;

namespace OperatorOverloading
{
	/// <summary>
	/// Voorbeeld OperartorOverloading: overlaad de 
	/// operater + voor een zelfgeschreven klasse Spaarbus
	/// </summary>
	class TestKlasse
	{
		[STAThread]
		static void Main(string[] args)
		{
			Spaarbus sA = new Spaarbus(50);
			Spaarbus sB = new Spaarbus(60);
			Spaarbus sC = sA + sB;
			Console.WriteLine( "het bedrag van sC is: " + sC.Saldo );
		}
	}

	class Spaarbus
	{
		private double saldo;

		public Spaarbus(double aSaldo)
		{
			saldo = aSaldo;
		}

		public double Saldo
		{
			get{return saldo;}
			set{saldo = value;}
		}

		public static Spaarbus operator+(Spaarbus s1 , Spaarbus s2)
		{
			return new Spaarbus(s1.Saldo + s2.Saldo);
		}
	}
}
