/*
 * Voorbeeld van het gebruik van het keyword static
 * (zie syllabus p. 20-22)
 *
 *  Dit voorbeeld mag alleen gebruikt worden in de opleidingen van Beta VZW 
 * (C) Beta VZW, 2009
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace vbstatic
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Het programma begint");
            Persoon p1 = new Persoon("Joske Vermeulen", new DateTime(2000, 4, 1));
            // om een datum op te maken in short datetime kunnen we de format specifier
            // :d gebruiken. (zie "Standard date and time format strings" in MSDN help
            Console.WriteLine("{0} is geboren op {1:d}", p1.Naam, p1.GeboorteDatum);
            Console.WriteLine("Het aantal personen is {0}", Persoon.AantalPersonen);
            Persoon p2 = new Persoon("Marieke Vermeulen", new DateTime(2001, 4, 1));
            Console.WriteLine("{0} is geboren op {1:d}", p2.Naam, p2.GeboorteDatum);
            Console.WriteLine("Het aantal personen is {0}", Persoon.AantalPersonen);

        }
    }
}
